<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/14/2005 *
 * ================                             Last change: 01/14/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-usr_online.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Who is where? (DO NOT add sub menus!)            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Wer ist wo? (KEINE Untermenues anhaengen!)       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Online stats are only working if extension ext-online is installed
if (isExtensionActive('online')) {
	// Count guests, members and admins
	// @TODO Add a filter for sponsor
	$content['guests_online']  = countSumTotalData('N', 'online', 'id', 'is_admin', true, " AND `is_member`='N'");
	$content['admins_online']  = countSumTotalData('N', 'online', 'id', 'is_admin', true, " AND `is_member`='Y'");
	$content['members_online'] = countSumTotalData('N', 'online', 'id', 'is_admin', true);

	// Load template
	loadTemplate('admin_mini_online', false, $content);

	// Check for online users
	$result = SQL_QUERY("SELECT `id`, `ip`, `userid`, `refid`, `module`, `action`, `what`, `is_member`, `is_admin`, `timestamp` FROM `{?_MYSQL_PREFIX?}_online` ORDER by `timestamp` DESC",
		__FILE__, __LINE__);
	if (SQL_NUMROWS($result) > 0) {
		// List all online users
		$OUT = ''; $SW = 2;
		while ($row = SQL_FETCHARRAY($result)) {
			// Fix empty action/what
			if (empty($row['action'])) $row['action'] = '---';
			if (empty($row['what']))   $row['what']   = '---';

			if ($row['is_admin'] == 'Y') {
				// Is an administrator
				$row['userid'] = getMessage('_IS_ADMIN');
			} elseif (($row['is_member'] != 'Y') && ($row['is_admin'] != 'Y')) {
				// Is a guest
				$row['userid'] = getMessage('_IS_GUEST');
			} elseif ($row['userid'] > 0) {
				// Add profile link to userid
				$row['userid'] = generateUserProfileLink($row['userid']);
			} // END - if

			// Is the refid set?
			if ($row['refid'] > 0) {
				// Add profile link to referer id
				$row['refid'] = generateUserProfileLink($row['refid']);
			} // END - if

			// Add more content
			$row['sw'] = $SW;
			$row['timestamp'] = generateDateTime($row['timestamp'], 2);

			// Load row template and switch color
			$OUT .= loadTemplate('admin_list_online_row', true, $row);
			$SW = 3 - $SW;
		} // END - while

		// Free memory
		SQL_FREERESULT($result);

		// Remember rows and fancy time in array
		$content['rows']           = $OUT;
		$content['online_timeout'] = sprintf(getMessage('ONLINE_TIMEOUT_IS'), createFancyTime(getConfig('online_timeout')));

		// Load footer template
		loadTemplate('admin_list_online', false, $content);
	} // END - if
} else {
	// Online statistics deactivated!
	loadTemplate('admin_settings_saved', false, getMessage('ONLINE_STATISTICS_DEACTIVATED'));
}

// [EOF]
?>
